Audacious ported to BeOS
August 12, 2016 15:34 - Carlo Bramini
Priority: Minor Due date:
Category: Estimated time: 0.00 hour
Target version: 3.8

Affects version:

Description

| compiled successfully Audacious under Haiku OS.
| had to do only two fixes to make it working:

1) "-Im" for adding math library is not supported in BeOS. So, | have replaced all hard-coded references to it with a ${LIB_MATH},
which is set at configure time.

2) ffaudio plugin failed to compile.

Into ffaudio-core, | had to move #include <pthread.h> after #include "ffaudio-stdinc.h", otherwise compilation failed because missing
UINT64_C macro definition. Evidently, stdint.h is included before declaration of __ STDC_CONSTANT_MACROS, so the solution is
to declare __STDC_CONSTANT_MACROS from makefile or more easy to make inclusion of ffaudio-stdinc.h appear before.

| have compiled almost everything with --disable-gtk --enable-qt.

Attached screeshots show the player running very well with the QT skins and gui interfaces.

| hope you will see it interesting.
Sincerely.

History

#1 - August 13, 2016 00:29 - John Lindgren
- Status changed from New to Closed
- Target version set to 3.8

- % Done changed from 0 to 100

Fixed the header ordering issue. Uncommon math libraries are not of interest.

#2 - September 02, 2017 13:19 - Sergey Reznikov
It's not BeOS and not Haiku OS, it's just Haiku:

Math library issue was fixed in Haiku itself some time ago.
| just pushed recipes for Audacious to HaikuPorts repo.:

https://github.com/haikuports/haikuports/tree/master/media-video/audacious
https://github.com/haikuports/haikuports/tree/master/media-plugins/audacious-plugins

There are a few problems though:

1. SDL2 audio output is broken (a bug in SDL2 port), so SDL1 is used for now. Preferably native audio output needs to be written.
2. Audacious can't find toolbar icons so they are replaced with text, just like on attached screenshots.

July 06, 2025 1/2



https://github.com/haikuports/haikuports/tree/master/media-video/audacious
https://github.com/haikuports/haikuports/tree/master/media-plugins/audacious-plugins

Files

VirtualBox_haiku_12_08_2016_15_12_12.png 136 KB August 12, 2016 Carlo Bramini
VirtualBox_haiku_12_08_2016_15_12_41.png 84.3 KB  August 12,2016 Carlo Bramini

July 06, 2025 22


http://www.tcpdf.org

